<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to show sum of large number.</p>
		<button onclick="sum_of_large()">Sum</button>
		<p id="demo"></p>

		<script>
 			function sum_of_large() {
                // Function for finding sum of larger numbers condition str2 length is larger than str1
                function findSum(str1,str2) { 
                
                    // Take an empty string for storing result 
                    var str = ""; 
                    // Calculate lenght of both string 
                    var n1 = str1.length, n2 = str2.length; 
                    // Reverse both of strings 
                    str1 = str1.split("").reverse().join("");  
                    str2 = str2.split("").reverse().join("");
                    var carry = 0; 
                    for (var i=0; i<n1; i++) { 
                        //compute sum of current digits and carry 
                        var sum = (+(str1[i])+(+(str2[i]))+carry);
                        str += sum%10; 
                        // Calculate carry for next step 
                        carry = Math.floor(sum/10); 
                    } 
                    // Add remaining digits of larger number 
                    for (var i=n1; i<n2; i++) { 
                        var sum = (+(str2[i])+carry); 
                        str += sum%10; 
                        carry = Math.floor(sum/10); 
                    } 
                
                    // Add remaining carry 
                    if (carry) 
                        str += carry; 
                
                   // reverse resultant string 
                    str = str.split("").reverse().join(""); 
                    return str; 
                } 
                console.log(findSum("1234567","2789654739"));

        }

		</script>

	</body>
</html>